Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004981TestLinkTest Executepublic2012-04-20 12:172012-09-01 19:59
ReporterJanHegewald 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004981: When bulk executing test cases, inactivity of test cases is not taken into account
DescriptionWhen bulk executing test cases (e.g. setting all test cases of one testsuite to fail), inactivity of test cases is not taken into account. This means, that it is not prohibited to set a result for an inactive test case via batch execution.
Steps To Reproduce1.) Create a test project with one test suite and two test cases.
2.) Create a test plan and add the two test cases.
3.) Create a test build for the test plan.
4.) Deactivate one of the test cases.
5.) Bulk execute the test cases by clicking on test suite in test execution and choosing the appropriate result.

--> Even the test case which is deactivated is executed. But if you select the single test case and, for example, try to correct the result, you don't have the chance to do so.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox, but it should also be possible in others
PHP Version5.2.11
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0016667)
JanHegewald (reporter)
2012-05-11 14:47

Can anybody reproduce this or do you need more information?
(0016668)
fman (administrator)
2012-05-12 07:18

>> Can anybody reproduce this or do you need more information?
Can you explain what do you expected from this note ?
we do not provide feedback for each potential issue that is submited.

if we need more info, we will ask you.
In our issue management work flow:
issue without assignment => nobody is working on
issue with dev assignment => a dev has booked the issue but does not means that is working on it
(0016678)
JanHegewald (reporter)
2012-05-14 07:07

Ok, no problem. Just wanted to ask, if somebody had a look on this issue already...
(0016752)
JanHegewald (reporter)
2012-05-24 12:07
edited on: 2012-06-23 17:29

Had a look by myself, and this is what I figured out.
The following lines in execSetResults.tpl (line 416)

[code]
{foreach item=tc_exec from=$gui->map_last_exec name="tcSet"}
        {assign var="tc_id" value=$tc_exec.testcase_id}
          {assign var="tcversion_id" value=$tc_exec.id}
          {* IMPORTANT:
                       Here we use version_number, which is related to tcversion_id SPECIFICATION.
                       When we need to display executed version number, we use tcversion_number
          *}
          {assign var="version_number" value=$tc_exec.version}
          
            <input type="hidden" id="tc_version_{$tcversion_id}" name="tc_version[{$tcversion_id}]" value='{$tc_id}' />
            <input type="hidden" id="version_number_{$tcversion_id}" name="version_number[{$tcversion_id}]" value='{$version_number}' />
      
        {* ------------------------------------------------------------------------------------ *}
        <tr bgcolor="{cycle values="#eeeeee,#d0d0d0"}">
        <td>{$tsuite_info[$tc_id].tsuite_name}</td>{* <td> </td> *}
        <td>
        javascript:openTCaseWindow({$tc_exec.testcase_id},{$tc_exec.id},'editOnExec')
        </td>
        <td class="{$tlCfg->results.code_status[$tc_exec.status]}">
        {$gui->execStatusValues[$tc_exec.status]}
        </td>
               <td><select name="status[{$tcversion_id}]" id="status_{$tcversion_id}">
                    {html_options options=$gui->execStatusValues}
                </select>
               </td>
        </tr>
      {/foreach}
[/code]

have to be replaced by

[code]
{foreach item=tc_exec from=$gui->map_last_exec name="tcSet"}
          {if $tc_exec.active == 1}
        {assign var="tc_id" value=$tc_exec.testcase_id}
          {assign var="tcversion_id" value=$tc_exec.id}
          {* IMPORTANT:
                       Here we use version_number, which is related to tcversion_id SPECIFICATION.
                       When we need to display executed version number, we use tcversion_number
          *}
          {assign var="version_number" value=$tc_exec.version}
          
            <input type="hidden" id="tc_version_{$tcversion_id}" name="tc_version[{$tcversion_id}]" value='{$tc_id}' />
            <input type="hidden" id="version_number_{$tcversion_id}" name="version_number[{$tcversion_id}]" value='{$version_number}' />
      
        {* ------------------------------------------------------------------------------------ *}
        <tr bgcolor="{cycle values="#eeeeee,#d0d0d0"}">
        <td>{$tsuite_info[$tc_id].tsuite_name}</td>{* <td> </td> *}
        <td>
        javascript:openTCaseWindow({$tc_exec.testcase_id},{$tc_exec.id},'editOnExec')
        </td>
        <td class="{$tlCfg->results.code_status[$tc_exec.status]}">
        {$gui->execStatusValues[$tc_exec.status]}
        </td>
               <td><select name="status[{$tcversion_id}]" id="status_{$tcversion_id}">
                    {html_options options=$gui->execStatusValues}
                </select>
               </td>
        </tr>
        {/if}
      {/foreach}
[/code]

This leads to Testlink not displaying deactivated TC in bulk execution and so they can't be executed any more.

ATTENTION: not tested for side effects!

Edit: Can any of developers have a look if this correct/ok from your side?

(0016753)
fman (administrator)
2012-05-24 13:08

OK, test it and let's us know
(0016938)
fman (administrator)
2012-06-23 17:35

testlink 1.9
http://gitorious.org/testlink-ga/testlink-code/commit/41419896223c1302d71612b39032a0f692404680 [^]
(0017337)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-04-20 12:17 JanHegewald New Issue
2012-05-11 14:47 JanHegewald Note Added: 0016667
2012-05-12 07:18 fman Note Added: 0016668
2012-05-14 07:07 JanHegewald Note Added: 0016678
2012-05-24 12:07 JanHegewald Note Added: 0016752
2012-05-24 12:15 JanHegewald Note Edited: 0016752 View Revisions
2012-05-24 13:08 fman Note Added: 0016753
2012-06-23 17:29 fman Note Edited: 0016752 View Revisions
2012-06-23 17:35 fman Note Added: 0016938
2012-06-23 17:35 fman Status new => resolved
2012-06-23 17:35 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-06-23 17:35 fman Resolution open => fixed
2012-06-23 17:35 fman Assigned To => fman
2012-06-23 17:36 fman Tag Attached: TO BE FIXED on 2.0
2012-09-01 19:59 fman Note Added: 0017337
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker